import Bladex
import Doors
import Levers
import Locks
import Objects
import Sounds
import Button
import ReadGSFile
import AuxFuncs
import darfuncs
import Stars
import EnemyTypes


#########################################
####PUERTA DEL TEMPLO NMIUR#############
#########################################

spuertar1a=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-pie-cerr-no-loop-rebote.wav", "loop-rebote")
spuertar1a.MaxDistance=20000
spuertar1a.MinDistance=1000
spuertar1a.Volume=1.0

spuertar1b=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-pie-desliz-no-loop.wav", "no-loop")
spuertar1b.MaxDistance=20000
spuertar1b.MinDistance=2000
spuertar1b.Volume=1.0



def Abredoor1():
   pnamiur.OpenDoor()
 
def Cierradoor1():
   pnamiur.CloseDoor()




pnamiur=Doors.CreateDoor("puertanmiur",(-55763.9032221,4723.62688962,-303.994870441),(0,1,0),0,4000,Doors.CLOSED)

pnamiur.opentype=Doors.UNIF
pnamiur.o_med_vel=-700
pnamiur.o_med_displ=4000

pnamiur.closetype=Doors.AC
pnamiur.c_init_displ=3000
pnamiur.c_med_vel=8000
pnamiur.SetWhileOpenSound(spuertar1a)
pnamiur.SetEndOpenSound(spuertar1b)



pnamiur.SetWhileCloseSound(spuertar1b)
pnamiur.SetEndCloseSound(spuertar1a)



cerradurpn=Locks.PlaceLock("cerradurpn","Cerradurpla",(-56658.1550528,4721.59760933,1347.77975541),(0.0,0.008726,0.713249,-0.700857),2.5)
cerradurpn.key="llavepn"

darfuncs.SetHint(cerradurpn.obj,"Cerradura de Nmiur")


cerradurpn.OnUnLockFunc=Abredoor1
cerradurpn.OnUnLockArgs=()

cerradurpn.OnLockFunc=Cierradoor1
cerradurpn.OnLockArgs=()


####LA LLAVE LA TIENE EL CABRONAZO DEL TRIDOR Q ESTA ECHANDOSE UNA SIESTECILLA EN LA MONTAA..xD!##########





#############################
#####PUERTA D LA CASETA######
#############################

spuertar1d=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")
spuertar1d.MaxDistance=20000
spuertar1d.MinDistance=1000
spuertar1d.Volume=1.0

spuertar1g=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "MaderaGolpe")
spuertar1g.MaxDistance=20000
spuertar1g.MinDistance=2000
spuertar1g.Volume=1.0


def Abredoor1():
   pcaseta.OpenDoor()

def Cierradoor1():
   pcaseta.CloseDoor()




pcaseta=Doors.CreateDoor("pcaseta",(41440.7049031,-6275.80626123,-33343.2473536),(0,1,0),0,5000,Doors.CLOSED)

pcaseta.opentype=Doors.UNIF
pcaseta.o_med_vel=-700
pcaseta.o_med_displ=5000

pcaseta.closetype=Doors.AC
pcaseta.c_init_displ=3000
pcaseta.c_med_vel=8000
pcaseta.SetWhileOpenSound(spuertar1d)
pcaseta.SetEndOpenSound(spuertar1g)



pcaseta.SetWhileCloseSound(spuertar1d)
pcaseta.SetEndCloseSound(spuertar1g)


###EL MINOTAURO Q VA A PALMARLA Y ME ABRIRA LA PUERTA D LA CASETA....juasjuasjuasjuas######

pers=Bladex.CreateEntity("Minotaur_227","Minotaur",45880.3289309,-6452.40376583,-46996.0038554, "Person")
pers.Scale=1.0
pers.Angle=3.80200251515
pers.Level=0

EnemyTypes.EnemyDefaultFuncs(pers)
o=Bladex.CreateEntity ("Hachacarnicero_228", "Hachacarnicero", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Minotaur_227", "Hachacarnicero_228")
o=Bladex.CreateEntity ("Pocima25_229", "Pocima25", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima25_229")
Actions.TakeObject("Minotaur_227", "Pocima25_229")

def EnemigoMuere(entity):
   Abredoor1()
   me = Bladex.GetEntity(entity)
   if me.Data.OldImDeadFunc:
      me.Data.OldImDeadFunc(entity)

pers.Data.OldImDeadFunc = pers.ImDeadFunc
pers.ImDeadFunc = EnemigoMuere





